Bug 472042 - RFE: rpmreaper able to exclude based on regex
RFE: rpmreaper able to exclude based on regex
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: rpmreaper (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-18 08:24 EST by Christopher Beland
Modified: 2009-04-14 13:07 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.1.6-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-13 15:32:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Beland 2008-11-18 08:24:38 EST
I'm using rpmreaper-0.1.5-1.fc9.i386.  I have a lot of debuginfo packages installed on this machine, for crash reporting purposes.  They show up as leaves, which is a bit distracting when trying to prune non-debuginfo packages.  It would be nice to be able to exclude from the listing all packages matching a specified regex.  So in this case I would exclude "debuginfo".
Comment 1 Miroslav Lichvar 2008-11-21 07:31:13 EST
The upstream repository now has support for inverted regexps, so it's possible to specify limit '!debuginfo'. Will be in the next release.
Comment 2 Fedora Update System 2009-04-02 08:29:43 EDT
rpmreaper-0.1.6-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/rpmreaper-0.1.6-1.fc9
Comment 3 Fedora Update System 2009-04-02 08:30:33 EDT
rpmreaper-0.1.6-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpmreaper-0.1.6-1.fc10
Comment 4 Fedora Update System 2009-04-02 22:25:27 EDT
rpmreaper-0.1.6-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpmreaper'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3301
Comment 5 Fedora Update System 2009-04-13 15:31:47 EDT
rpmreaper-0.1.6-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-04-13 15:45:27 EDT
rpmreaper-0.1.6-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Christopher Beland 2009-04-14 13:07:36 EDT
Worked great; thanks for the update!

Note You need to log in before you can comment on or make changes to this bug.